#!/usr/bin/python
# -*- coding: UTF-8 -*-

import sys
import unittest

import whisperBack.utils

class TestIsValidLink(unittest.TestCase):

    def test_valid_http(self):
        self.assertTrue(whisperBack.utils.is_valid_link("http://test.example.org/"))

    def test_valid_ftp(self):
        self.assertTrue(whisperBack.utils.is_valid_link("ftp://test.example.org/"))

    def test_valid_https(self):
        self.assertTrue(whisperBack.utils.is_valid_link("https://test.example.org/"))

    def test_valid_ftps(self):
        self.assertTrue(whisperBack.utils.is_valid_link("ftps://test.example.org/"))

    def test_wrong_scheme(self):
        self.assertFalse(whisperBack.utils.is_valid_link("error://test.example.org/"))

    def test_valid_domain2(self):
        self.assertTrue(whisperBack.utils.is_valid_link("http://example.org/"))

    def test_wrong_domain(self):
        self.assertFalse(whisperBack.utils.is_valid_link("ftp://example_org/"))

    def test_wrong_domain(self):
        self.assertFalse(whisperBack.utils.is_valid_link("ftp://example_org/"))

if __name__ == '__main__':
    unittest.main()

